Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class DemoFile

    java.lang.Object
      |
      +--context.apps.Tour.DemoFile

public class DemoFile
extends java.lang.Object

This class is a container for a configuration file

Field Summary
`static java.lang.String` | `DEMO_NAME`
`static java.lang.String` | `DEMO_URL`
`static java.lang.String` | `DEMOER_URL`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `KEYWORDS`

Constructor Summary
`DemoFile(java.lang.String filename)` Constructor that takes the demo information filename in the form of a url

Method Summary
`Demo` | `getDemo(java.lang.String demoName)`
`java.lang.String` | `getDemoDescription(java.lang.String demoName)`
`java.lang.String` | `getDemoerUrl(java.lang.String demoName)`
`java.lang.String` | `getDemoKeywords(java.lang.String demoName)`
`Demos` | `getDemos()`
`java.lang.String` | `getDemoUrl(java.lang.String demoName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEMO_NAME

    public static final java.lang.String DEMO_NAME

### KEYWORDS

    public static final java.lang.String KEYWORDS

### DEMO_URL

    public static final java.lang.String DEMO_URL

### DEMOER_URL

    public static final java.lang.String DEMOER_URL

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

Constructor Detail

### DemoFile

    public DemoFile(java.lang.String filename)

  Constructor that takes the demo information filename in the form of a url
  Parameters:
    `file` - Url for the demo information file

Method Detail

### getDemo

    public Demo getDemo(java.lang.String demoName)

### getDemoUrl

    public java.lang.String getDemoUrl(java.lang.String demoName)

### getDemoerUrl

    public java.lang.String getDemoerUrl(java.lang.String demoName)

### getDemoKeywords

    public java.lang.String getDemoKeywords(java.lang.String demoName)

### getDemoDescription

    public java.lang.String getDemoDescription(java.lang.String demoName)

### getDemos

    public Demos getDemos()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD